.klarna-payment-info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 10px;
    text-align: center;
    border: 1px solid var(--color-light-gray);
    padding: 10px;
    margin: 1rem auto;
}

body.page-template-homepage .klarna-payment-info-container {
    background: #E3E7EA;
    padding: 1rem 30px;
    margin-bottom: 1rem;
    margin-left: -30px;
    margin-right: -30px;
    border: none !important
}

.klarna-payment-info {
    font-size: 12px;
    color: var(--color-primary);
    font-weight: 700;
}

.klarna-learn-more {
    color: var(--color-accent);
    text-decoration: underline;
    cursor: pointer;
}

/* The Modal (background) */
.klarna-modal {
    display: none;
    position: fixed;
    z-index: 9999999999999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}


/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    padding: 2rem 3rem;
    width: 50%;
    /* position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); */
    z-index: 9999999;
    margin: 5% auto;
}

@media screen and (max-width:768px) {
    body.page-template-homepage .klarna-payment-info-container {
        margin-left: -20px;
        margin-right: -20px;
    }

    .modal-content {
        width: 90%;
        padding: 1.5rem;
    }

    .modal-content h2 {
        font-size: 1rem !important;
    }

    .klarna-payment-details {
        margin: 1rem auto;
    }

    .klarna-payment-detail:not(:last-child) {
        margin-bottom: 1rem !important;
    }

    .klarna-payment-details:before {
        height: 66% !important;
    }

    .klarna-payment-detail {
        display: block !important;
    }
}

.modal-content h2 {
    font-size: 2rem;
    color: #000;
}

.close {
    color: #000;
    float: right;
    font-size: 28px;
}

.close:hover,
.close:focus {
    color: var(--color-accent);
    text-decoration: none;
    cursor: pointer;
}

img.klarna-logo-header {
    width: 72px;
    margin: auto;
    display: block;
    margin-bottom: 2rem;
}

.klarna-payment-details {
    margin: 2rem auto;
    position: relative;
    padding: 0 32px;
}

.klarna-payment-details:before {
    content: "";
    width: 2px;
    height: 80%;
    background: var(--color-light-gray);
    position: absolute;
    left: 4px;
    top: 6px;
}

.klarna-payment-detail {
    position: relative;
    display: flex;
    gap: 10px;
}

.klarna-payment-detail:before {
    content: "";
    background: #000;
    width: 10px;
    height: 10px;
    position: absolute;
    left: -32px;
    top: 6px;
}

.klarna-payment-detail:not(:last-child) {
    margin-bottom: 2rem;
}

.klarna-payment-detail img {
    width: 50px;
}

.klarna-payment-footnote {
    color: darkgrey;
    font-size: 12px;
    line-height: 1.5;
}

a.close-btn {
    display: block;
    text-align: center;
    width: 100%;
    background: #000;
    color: #fff;
    padding: 10px;
    float: none;
    margin-top: 20px;
    font-size: 1rem;
    text-transform: uppercase;
}